using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration.Install;
using System.Linq;
using System.ServiceProcess;

namespace PlutoServer.PracticeChoice {
    [RunInstaller(true)]
    public partial class Installer : System.Configuration.Install.Installer {
        public Installer() {
            InitializeComponent();

            ServiceProcessInstaller serviceProcessInstaller = new ServiceProcessInstaller();
            ServiceInstaller serviceInstaller = new ServiceInstaller();

            //# Service Account Information
            serviceProcessInstaller.Account = ServiceAccount.LocalSystem;
            serviceProcessInstaller.Username = null;
            serviceProcessInstaller.Password = null;

            //# Service Information
            serviceInstaller.ServiceName = "PlutoServer.PracticeChoice";
            serviceInstaller.DisplayName = "McKesson Pratice Choice Mobile Api Server";
            serviceInstaller.Description = "Manages data updates and retrieval for McKesson's PPS Mobile App from Practice Choice";
            serviceInstaller.StartType = ServiceStartMode.Automatic;

            // # Done
            this.Installers.Add(serviceProcessInstaller);
            this.Installers.Add(serviceInstaller);
        }
    }
}
